#!/usr/bin/env jython
from config import gatestore
import config

import gate.gui.docview.AnnotationSetsView

import java.io
import gate
import java.net.URL
import gatetools

if __name__ == '__main__':
    gate.Gate.init()

    sds=gate.Factory.openDataStore("gate.persist.SerialDataStore", gatetools.makeURL(gatestore.storepath))
    pcorp=gatetools.createResourceByName(sds,"gate.corpora.SerialCorpusImpl","upenn")

    highlight = [ 
        ('Original markups','Rating') ,
        ('Original markups','title') ,
        ]

    doced = gate.gui.docview.DocumentEditor()
    doced.init()
    doced.setTarget(pcorp.get(0))
    def setup(e):
        try:
            doced.setRightView(0)
            doced.setBottomView(0)

            rv=doced.getVerticalViews()[0]
            for (set,type) in highlight:
                th = rv.getTypeHandler(set,type)
                if th: th.setSelected(True)

            doced.componentResized = None
        except e:
            print e
    doced.componentResized = setup

    import javax.swing
    f = javax.swing.JFrame()
    f.setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE)
    f.add(doced)
    f.setSize(800,800)
    f.show()



