import gate

def getLrIdByName(sds, restype, name):
    l=[(sds.getLrName(id), id) for id in sds.getLrIds(restype)]
    for (n,id) in l: 
        if n == name: return id
    return None

def createResourceByName(store, restype, name):
    features=gate.Factory.newFeatureMap()
    features.put(gate.DataStore.LR_ID_FEATURE_NAME, getLrIdByName(store,restype, name))
    features.put(gate.DataStore.DATASTORE_FEATURE_NAME, store)
    return gate.Factory.createResource(restype, features)

def makeURLObj(s):
    import java.io.File
    return java.io.File(s).toURL()
def makeURL(s):
    import java.io.File
    return java.io.File(s).toURL().toString()
