learningProduceFeaturesCFG = """
  <VERBOSITY level="0"/>
  <SURROUND value="false"/>

  <IS-LABEL-UPDATABLE value="true"/>
  <IS-NLPFEATURELIST-UPDATABLE value="true"/>

  <PARAMETER name="thresholdProbabilityEntity" value="0.2"/>
  <PARAMETER name="thresholdProbabilityBoundary" value="0.42"/>
  <PARAMETER name="thresholdProbabilityClassification" value="0.4"/>

  <multiClassification2Binary method="one-vs-others"/>

  <!-- Evaluation : how to split the corpus into test and learn? -->
  <!-- <EVALUATION method="kfold" runs="3"/> -->

  <FILTERING ratio="0.0" dis="near"/>

  <!-- <ENGINE nickname="NB" implementationName="C4.5Weka" /> -->
  <!-- <ENGINE nickname="SVM" implementationName="SVMLibSvmJava"
     options=" -c 0.7 -t 0 -m 100 -tau 0.5  "/> -->
  <!-- <ENGINE nickname="KNN" implementationName="KNNWeka" /> -->

"""

learningSVM = """
  <VERBOSITY level="0"/>
  <SURROUND value="false"/>

  <IS-LABEL-UPDATABLE value="true"/>
  <IS-NLPFEATURELIST-UPDATABLE value="true"/>

  <PARAMETER name="thresholdProbabilityEntity" value="0.2"/>
  <PARAMETER name="thresholdProbabilityBoundary" value="0.42"/>
  <PARAMETER name="thresholdProbabilityClassification" value="0.4"/>

  <multiClassification2Binary method="one-vs-others"/>

  <!-- Evaluation : how to split the corpus into test and learn? -->
  <EVALUATION method="kfold" runs="3"/>

  <FILTERING ratio="0.0" dis="near"/>

  <ENGINE nickname="SVM" implementationName="SVMLibSvmJava"
     options=" -c 0.7 -t 0 -m 100 -tau 0.5  "/>
"""

learningKNN = """
  <VERBOSITY level="0"/>
  <SURROUND value="false"/>

  <IS-LABEL-UPDATABLE value="true"/>
  <IS-NLPFEATURELIST-UPDATABLE value="true"/>

  <PARAMETER name="thresholdProbabilityEntity" value="0.2"/>
  <PARAMETER name="thresholdProbabilityBoundary" value="0.42"/>
  <PARAMETER name="thresholdProbabilityClassification" value="0.4"/>

  <multiClassification2Binary method="one-vs-others"/>

  <!-- Evaluation : how to split the corpus into test and learn? -->
  <EVALUATION method="kfold" runs="3"/>

  <FILTERING ratio="0.0" dis="near"/>

  <ENGINE nickname="KNN" implementationName="KNNWeka" />
"""
learningNB = """
  <VERBOSITY level="0"/>
  <SURROUND value="false"/>

  <IS-LABEL-UPDATABLE value="true"/>
  <IS-NLPFEATURELIST-UPDATABLE value="true"/>

  <PARAMETER name="thresholdProbabilityEntity" value="0.2"/>
  <PARAMETER name="thresholdProbabilityBoundary" value="0.42"/>
  <PARAMETER name="thresholdProbabilityClassification" value="0.4"/>

  <multiClassification2Binary method="one-vs-others"/>

  <!-- Evaluation : how to split the corpus into test and learn? -->
  <EVALUATION method="kfold" runs="3"/>

  <FILTERING ratio="0.0" dis="near"/>

  <ENGINE nickname="NB" implementationName="C4.5Weka" />
"""

datasetUnigramCFG="""
  <DATASET>
     <INSTANCE-TYPE>review_text</INSTANCE-TYPE>
     <NGRAM>
        <NAME>Sent1gram</NAME>
        <NUMBER>1</NUMBER>
        <CONSNUM>1</CONSNUM>
        <CONS-1>
            <TYPE>Token</TYPE>
            <FEATURE>string</FEATURE>
         </CONS-1>
     </NGRAM>
     <ValueTypeNgram>2</ValueTypeNgram> <!-- tf -->
     <ATTRIBUTE>
        <NAME>Class</NAME>
        <SEMTYPE>NOMINAL</SEMTYPE>
        <TYPE>Rating</TYPE>
        <FEATURE>rating</FEATURE>
        <POSITION>0</POSITION>
        <CLASS/>
      </ATTRIBUTE>
   </DATASET>
"""

datasetUnigramMyTokCFG="""
  <DATASET>
     <INSTANCE-TYPE>review_text</INSTANCE-TYPE>
     <NGRAM>
        <NAME>Sent1gram</NAME>
        <NUMBER>1</NUMBER>
        <CONSNUM>1</CONSNUM>
        <CONS-1>
            <TYPE>MyTok</TYPE>
            <FEATURE>string</FEATURE>
         </CONS-1>
     </NGRAM>
     <ValueTypeNgram>2</ValueTypeNgram> <!-- tf -->
     <ATTRIBUTE>
        <NAME>Class</NAME>
        <SEMTYPE>NOMINAL</SEMTYPE>
        <TYPE>Rating</TYPE>
        <FEATURE>rating</FEATURE>
        <POSITION>0</POSITION>
        <CLASS/>
      </ATTRIBUTE>
   </DATASET>
"""

datasetBigramCFG="""
  <DATASET>
     <INSTANCE-TYPE>review_text</INSTANCE-TYPE>
     <NGRAM>
        <NAME>Sent2gram</NAME>
        <NUMBER>2</NUMBER>
        <CONSNUM>1</CONSNUM>
        <CONS-1>
            <TYPE>Token</TYPE>
            <FEATURE>string</FEATURE>
         </CONS-1>
     </NGRAM>
     <ValueTypeNgram>2</ValueTypeNgram> <!-- tf -->
     <ATTRIBUTE>
        <NAME>Class</NAME>
        <SEMTYPE>NOMINAL</SEMTYPE>
        <TYPE>Rating</TYPE>
        <FEATURE>rating</FEATURE>
        <POSITION>0</POSITION>
        <CLASS/>
      </ATTRIBUTE>
   </DATASET>
"""
datasetBigramMyTokCFG="""
  <DATASET>
     <INSTANCE-TYPE>review_text</INSTANCE-TYPE>
     <NGRAM>
        <NAME>Sent2gram</NAME>
        <NUMBER>2</NUMBER>
        <CONSNUM>1</CONSNUM>
        <CONS-1>
            <TYPE>MyTok</TYPE>
            <FEATURE>string</FEATURE>
         </CONS-1>
     </NGRAM>
     <ValueTypeNgram>2</ValueTypeNgram> <!-- tf -->
     <ATTRIBUTE>
        <NAME>Class</NAME>
        <SEMTYPE>NOMINAL</SEMTYPE>
        <TYPE>Rating</TYPE>
        <FEATURE>rating</FEATURE>
        <POSITION>0</POSITION>
        <CLASS/>
      </ATTRIBUTE>
   </DATASET>
"""
