import os
import sys

if not 'SEMPRE_HOME' in os.environ:
    print 'SEMPRE_HOME not set!'
    sys.exit(-1)
sempre_home=os.environ['SEMPRE_HOME']

#PATH='known author/url/TV Guide'; BOUNDS = (55,65)
#PATH='known author/url/Village Voice'; BOUNDS = (50,65)
#PATH='known author/url/San Francisco Chronicle'; BOUNDS = (50,75)

def split(OUTPATH, PATH, BOUNDS):

    cnt = { 'neg' : 0, 'pos' : 0, 'neutral' : 0}

    os.system('rm -Rf ' + OUTPATH)
    os.makedirs('%s/pos' % OUTPATH)
    os.makedirs('%s/neg' % OUTPATH)
    os.makedirs('%s/neutral' % OUTPATH)

    print "splitting " + PATH
    print "output to " + OUTPATH

    def recur(p):
        for fn in os.listdir(p):
            if os.path.isdir(p + os.sep + fn):
                recur(p + os.sep + fn)
            else:
                f=open(p + os.sep + fn,'r')
                sub=None
                for l in f:
                    if l.startswith('CriticRating:'):
                        c,v=l.split(' ')
                        if int(v) < BOUNDS[0]: sub = 'neg'
                        elif int(v) > BOUNDS[1]: sub = 'pos'
                        else: sub = 'neutral'
                        cnt[sub]+=1
                    elif l.startswith('CriticText:'):
                        if not sub: raise 'CriticText before CriticRating!'
                        f2=open(OUTPATH + '/%s/%s' % (sub,fn),'w')
                        f2.write('<HTML><BODY>')
                        f2.write(l)
                        f2.write('</BODY></HTML>')
                        f2.close()
    recur(PATH)
    print '\n'.join('%s: %i' % (k,v) for k,v in cnt.iteritems())

if __name__ == '__main__':
    if len(sys.argv) != 5:
        print "usage: split.py [movies|music] lower upper path"
        sys.exit(-1)
    (_,type,lower,upper,p) = sys.argv
    p=os.environ['SEMPRE_HOME'] + os.sep + "data/metacritics-" + type + os.sep + p
    out=os.environ['SEMPRE_HOME'] + os.sep + "data/mc-split-" + type + os.sep
    b=(int(lower),int(upper))
    split(out,p,b)
